Update of /cvsroot/fink/dists/10.4/unstable/main/finkinfo/net
In directory sc8-pr-cvs17:/tmp/cvs-serv32758/10.4/unstable/main/finkinfo/net

Modified Files:
        net-snmp-unified.info 
Log Message:
fix net-snmp, update builddeps

Index: net-snmp-unified.info
===================================================================
RCS file: 
/cvsroot/fink/dists/10.4/unstable/main/finkinfo/net/net-snmp-unified.info,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- net-snmp-unified.info       8 Aug 2007 20:26:31 -0000       1.2
+++ net-snmp-unified.info       18 Sep 2007 15:45:44 -0000      1.3
@@ -1,21 +1,35 @@
 Package: net-snmp-unified
 Version: 5.4
-Revision: 2
+Revision: 1023
+Description: SNMP tools and libraries
+License: BSD
 Maintainer: Benjamin Reed <[EMAIL PROTECTED]>
+
 Depends: <<
-       daemonic, 
+       daemonic,
        %N15-shlibs (>= %v-%r)
 <<
 BuildDepends: <<
-       fink (>= 0.24.12-1),
+       fink (>= 0.26.0-1),
        gawk,
        expat1,
        system-perl
 <<
-Conflicts: net-snmp (<< 5.4-1), net-snmp-ssl (<< 5.4-1), ucd-snmp (<< 5.4-1)
-Replaces: net-snmp (<< 5.4-1), net-snmp-ssl (<< 5.4-1), ucd-snmp (<< 5.4-1)
+Conflicts: <<
+       net-snmp (<< 5.4-1),
+       net-snmp-ssl (<< 5.4-1),
+       ucd-snmp (<< 5.4-1)
+<<
+Replaces: <<
+       net-snmp (<< 5.4-1),
+       net-snmp-ssl (<< 5.4-1),
+       ucd-snmp (<< 5.4-1)
+<<
+
 Source: mirror:sourceforge:net-snmp/net-snmp-%v.tar.gz
 Source-MD5: 46d893281056ff476e597659cb91574d
+PatchScript:   perl -pi -e 's/#include <kvm.h>/$&\nkvm_t *kd;/' 
agent/mibgroup/host/hr_swrun.c
+
 SetCPPFLAGS: -I%p/lib/system-openssl/include
 SetLDFLAGS: -L%p/lib/system-openssl/lib
 ConfigureParams: <<
@@ -32,25 +46,34 @@
        --with-sys-contact='[EMAIL PROTECTED]' \
        --with-sys-location=Unknown \
        --without-kmem-usage \
-       --without-python-modules \
-       --with-perl-modules='PREFIX=%p INSTALLPRIVLIB=%p/lib/perl5 
INSTALLARCHLIB=%p/lib/perl5/darwin INSTALLSITELIB=%p/lib/perl5 
INSTALLSITEARCH=%p/lib/perl5/darwin INSTALLMAN1DIR=%p/share/man/man1 
INSTALLMAN3DIR=%p/share/man/man3 INSTALLSITEMAN1DIR=%p/share/man/man1 
INSTALLSITEMAN3DIR=%p/share/man/man3 INSTALLBIN=%p/bin INSTALLSITEBIN=%p/bin 
INSTALLSCRIPT=%p/bin'
+       --without-python-modules
 <<
 CompileScript: <<
-#!/bin/sh -ex
-       PERLPROG=/usr/bin/perl ./configure %c
+#!/bin/sh -ev
+
+       eval "`/usr/bin/perl -V:archname -V:version`"
+       export PERLMAKEARGS="PREFIX=%p INSTALLPRIVLIB=%p/lib/perl5/$version 
INSTALLARCHLIB=%p/lib/perl5/$version/$archname 
INSTALLSITELIB=%p/lib/perl5/$version 
INSTALLSITEARCH=%p/lib/perl5/$version/$archname 
INSTALLMAN1DIR=%p/lib/perl5/$version INSTALLMAN3DIR=%p/lib/perl5/$version 
INSTALLSITEMAN1DIR=%p/lib/perl5/$version 
INSTALLSITEMAN3DIR=%p/lib/perl5/$version INSTALLBIN=%p/bin 
INSTALLSITEBIN=%p/bin INSTALLSCRIPT=%p/bin"
+
+       PERLPROG=/usr/bin/perl ./configure %c 
--with-perl-modules="$PERLMAKEARGS"
        make
-       cat > README.obsolete <<EOF
-The packages net-snmp, net-snmp-ssl, net-snmp-dev, and net-snmp-ssl-dev 
-are obsolete packages. Install net-snmp-unified instead.
-EOF
 <<
+
 InstallScript: <<
-       make install DESTDIR=%d
+#!/bin/sh -ev
+
+       make -j1 install DESTDIR=%d
        install -d -m 755 %i/var/log
+       install -d -m 755 %i/share/doc/installed-packages
+       find %i -name perllocal.pod -exec rm -rf {} \; || :
+
+       for type in "" "-ssl"; do
+               touch %i/share/doc/installed-packages/net-snmp$type
+       done
 <<
 DocFiles: AGENT.txt CHANGES COPYING ChangeLog CodingStyle EXAMPLE.conf.def FAQ 
NEWS PORTING README* TODO
-Splitoff: <<
+SplitOff: <<
        Package: %N15-shlibs
+       DocFiles: COPYING
        Files: lib/libnetsnmp*.15*.dylib
        Shlibs: <<
                %p/lib/libnetsnmp.15.dylib        16.0.0 
net-snmp-unified15-shlibs (>= 5.4-1)
@@ -59,15 +82,24 @@
                %p/lib/libnetsnmpmibs.15.dylib    16.0.0 
net-snmp-unified15-shlibs (>= 5.4-1)
                %p/lib/libnetsnmptrapd.15.dylib   16.0.0 
net-snmp-unified15-shlibs (>= 5.4-1)
        <<
-       DocFiles: COPYING
 <<
 SplitOff2: <<
-       Package: %N-dev
-       Depends: %N (>= %v-%r)
-       Replaces: net-snmp-dev (<< 5.4-1), net-snmp (<< 5.4-1), 
net-snmp-ssl-dev (<< 5.4-1), net-snmp-ssl (<< 5.4-1)
-       Conflicts: net-snmp-dev (<< 5.4-1), net-snmp-ssl-dev (<< 5.4-1)
-       Files: include lib/*.a lib/*.dylib bin/net-snmp-config
+       Package: %N15-dev
+       Depends: %N15-shlibs (= %v-%r)
+       Conflicts: <<
+               net-snmp-dev (<< 5.4-1),
+               net-snmp-ssl-dev (<< 5.4-1),
+               net-snmp-unified-dev
+       <<
+       Replaces: <<
+               net-snmp-dev (<< 5.4-1),
+               net-snmp (<< 5.4-1),
+               net-snmp-ssl-dev (<< 5.4-1),
+               net-snmp-ssl (<< 5.4-1),
+               net-snmp-unified-dev
+       <<
        DocFiles: COPYING
+       Files: include lib/*.a lib/*.dylib bin/net-snmp-config
 <<
 SplitOff3: <<
        Package: net-snmp
@@ -77,7 +109,7 @@
                fink (>= 0.26.0-1),
                fink-obsolete-packages
        <<
-       DocFiles: README.obsolete
+       Files: share/doc/installed-packages/%n
 <<
 SplitOff4: <<
        Package: net-snmp-ssl
@@ -87,28 +119,9 @@
                fink (>= 0.26.0-1),
                fink-obsolete-packages
        <<
-       DocFiles: README.obsolete
-<<
-SplitOff7: <<
-       Package: net-snmp-dev
-       Description: upgrade package for net-snmp-unified-dev
-       Depends: <<
-               %N-dev (>= %v-%r),
-               fink (>= 0.26.0-1),
-               fink-obsolete-packages
-       <<
-       DocFiles: README.obsolete
-<<
-SplitOff8: <<
-       Package: net-snmp-ssl-dev
-       Description: upgrade package for net-snmp-unified-dev
-       Depends: <<
-               %N-dev (>= %v-%r),
-               fink (>= 0.26.0-1),
-               fink-obsolete-packages
-       <<
-       DocFiles: README.obsolete
+       Files: share/doc/installed-packages/%n
 <<
+
 PreRmScript: <<
 if [ $1 != "upgrade" ]; then
        daemonic disable %N
@@ -132,12 +145,18 @@
 
 </service>
 <<
-Description: SNMP tools and libraries
+
+Homepage: http://net-snmp.sourceforge.net/
 DescDetail: <<
        The net-snmp package, previously known as ucd-snmp, provides tools 
        and libraries relating to SNMP. It provides SNMP libraries, tools 
        to request and set information, an SNMP daemon, among other features.
 <<
+DescUsage: <<
+In order to run net-snmp correctly, the community name needs to be set. The
+easiest way to set this is to run the 'snmpconf' program, allowing you to
+setup the various net-snmp configuration files.
+<<
 DescPackaging: <<
 Customised install script to put files in correct directories.
 Logfile set to PREFIX/var/log/snmpd.log
@@ -146,13 +165,14 @@
 the command tools, or alternatively using the 'defVersion' option in the
 snmp.conf file.
 <<
-DescUsage: <<
-In order to run net-snmp correctly, the community name needs to be set. The
-easiest way to set this is to run the 'snmpconf' program, allowing you to
-setup the various net-snmp configuration files.
-<<
 DescPort: <<
 Based on the net-snmp package developed by Justin Hallett and Jeremy Higgs.
+
+dmacks: OS X 10.3 has kvm.h but that header does not declare an
+(apparently global var) "kd". Later OS X disable kvm altogether (via
+the platform-specific defs in net-snmp/system/*.h, which override
+configure detection) so it's not a problem there, but backporting that
+solution to 10.3 fails to build for deeper reasons. So we'll just
+declare kd and hope for the best.
 <<
-License: BSD
-Homepage: http://net-snmp.sourceforge.net/
+


-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/fink-commits

Reply via email to